# Administration Reference

## bosserver

Purpose

Initializes the BOS Server

Synopsis

    bosserver [-noauth]  [-log]  [-enable_peer_stats]  [-enable_process_stats]
              [-help]

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

Description

The bosserver command initializes the Basic OverSeer (BOS) Server (bosserver process). In the conventional configuration, the binary file is located in the /usr/afs/bin directory on a file server machine.

The BOS Server must run on every file server machine and helps to automate file server administration by performing the following tasks:

- Monitors the other AFS server processes on the local machine, to make sure they are running correctly.

- Automatically restarts failed processes, without contacting a human operator. When restarting multiple server processes simultaneously, the BOS Server takes interdependencies into account and initiates restarts in the correct order.

- Processes commands from the bos suite that administrators issue to verify the status of server processes, install and start new processes, stop processes either temporarily or permanently, and restart halted processes.

- Manages system configuration information: the files that list the cell's server encryption keys, database server machines, and users privileged to issue commands from the bos and vos suites.

The BOS Server logs a default set of important events in the file /usr/afs/logs/BosLog. To record the name of any user who performs a privileged bos command (one that requires being listed in the /usr/afs/etc/UserList file), add the -log flag. To display the contents of the BosLog file, use the bos getlog command.

The first time that the BOS Server initializes on a server machine, it creates several files and subdirectories in the local /usr/afs directory, and sets their mode bits to protect them from unauthorized access. Each time it restarts, it checks that the mode bits still comply with the settings listed in the following chart. A question mark indicates that the BOS Server initially turns off the bit (sets it to the hyphen), but does not check it at restart.

/usr/afs | `drwxr`?`xr-x`
/usr/afs/backup | `drwx`???`---`
/usr/afs/bin | `drwxr`?`xr-x`
/usr/afs/db | `drwx`???`---`
/usr/afs/etc | `drwxr`?`xr-x`
/usr/afs/etc/KeyFile | `-rw`????`---`
/usr/afs/etc/UserList | `-rw`?????`--`
/usr/afs/local | `drwx`???`---`
/usr/afs/logs | `drwxr`?`xr-x`

If the mode bits do not comply, the BOS Server writes the following warning to the BosLog file:

       Bosserver reports inappropriate access on server directories

However, the BOS Server does not reset the mode bits, so the administrator can set them to alternate values if desired (with the understanding that the warning message then appears at startup).

Options

-noauth
  Assigns the unprivileged identity anonymous to the issuer, which is useful only when authorization checking is disabled on the server machine (for instance, during the installation of a file server machine.)

-log
  Records in the /usr/afs/logs/BosLog file the names of all users who successfully issue a privileged bos command (one that requires being listed in the /usr/afs/etc/UserList file).

-enable_peer_stats
  Activates the collection of Rx statistics and allocates memory for their storage. For each connection with a specific UDP port on another machine, a separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received. To display or otherwise access the records, use the Rx Monitoring API.

-enable_process_stats
  Activates the collection of Rx statistics and allocates memory for their storage. A separate record is kept for each type of RPC (FetchFile, GetStatus, and so on) sent or received, aggregated over all connections to other machines. To display or otherwise access the records, use the Rx Monitoring API.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command initializes the BOS Server and logs the names of users who issue privileged bos commands.

       % bosserver -log &

Privilege Required

The issuer most be logged onto a file server machine as the local superuser root.

Related Information

BosConfig

BosLog

bos

bos create

bos exec

bos getlog

bos getrestart

bos restart

bos shutdown

bos start

bos startup

bos status

bos stop

© IBM Corporation 2000. All Rights Reserved